List fields for a specific model
const options = {
method: 'GET',
headers: {
'x-api-key': '<api-key>',
'x-api-secret': '<api-key>',
'x-connector-id': '<api-key>',
'x-owner-id': '<api-key>',
'x-session-token': '<api-key>'
}
};
fetch('https://api.runmorph.dev/v1/models/{modelId}/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.runmorph.dev/v1/models/{modelId}/fields \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>' \
--header 'x-connector-id: <api-key>' \
--header 'x-owner-id: <api-key>' \
--header 'x-session-token: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.runmorph.dev/v1/models/{modelId}/fields"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-api-secret", "<api-key>")
req.Header.Add("x-connector-id", "<api-key>")
req.Header.Add("x-owner-id", "<api-key>")
req.Header.Add("x-session-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.runmorph.dev/v1/models/{modelId}/fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-api-secret: <api-key>",
"x-connector-id: <api-key>",
"x-owner-id: <api-key>",
"x-session-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.runmorph.dev/v1/models/{modelId}/fields"
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>",
"x-connector-id": "<api-key>",
"x-owner-id": "<api-key>",
"x-session-token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.runmorph.dev/v1/models/{modelId}/fields")
.header("x-api-key", "<api-key>")
.header("x-api-secret", "<api-key>")
.header("x-connector-id", "<api-key>")
.header("x-owner-id", "<api-key>")
.header("x-session-token", "<api-key>")
.asString();{
"data": [
{
"key": "<string>",
"name": "<string>",
"description": "<string>",
"format": "<string>",
"unit": "<string>",
"optionSource": "<string>",
"options": [
{
"value": "<string>",
"name": "<string>"
}
],
"isRequired": true,
"isFieldReadOnly": true,
"isValueReadOnly": true,
"isCustom": true,
"remote": {
"key": "<string>",
"metadata": {}
}
}
],
"next": "<string>"
}{
"message": ""
}Fields
List Fields
GET
/
v1
/
models
/
{modelId}
/
fields
List fields for a specific model
const options = {
method: 'GET',
headers: {
'x-api-key': '<api-key>',
'x-api-secret': '<api-key>',
'x-connector-id': '<api-key>',
'x-owner-id': '<api-key>',
'x-session-token': '<api-key>'
}
};
fetch('https://api.runmorph.dev/v1/models/{modelId}/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Authorizations
Path Parameters
Available options:
genericCompany, genericContact, genericUser, genericWorkspace, crmOpportunity, crmStage, crmPipeline, crmEngagement, telephonyCall, telephonyCallTranscript, schedulingEventType, schedulingSlot, schedulingEvent, widgetCardView, accountingInvoice, accountingInvoiceLineItem, accountingInvoiceItem ⌘I